Skip to main content
POST
cURL
Related guide: Crawl API Introduction

Authorizations

Authorization
string
header
required

Use your Bright Data API Key as a Bearer token in the Authorization header.

How to authenticate:

  1. Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
  2. Include the API Key in the Authorization header of your requests
  3. Format: Authorization: Bearer YOUR_API_KEY

Example:

Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication

Query Parameters

dataset_id
string
required

Your dataset ID

Example:

"gd_m6gjtfmeh43we6cqc"

include_errors
boolean

Include errors report with the results. By setting "include_errors" to true, you will receive a detailed report of any errors that occur during the data collection.

Example:

true

custom_output_fields
string

The "custom_output_fields" parameter is used to filter the response data to include only the specified fields. You can list the output columns you want, separated by a pipe (|).

For example, if you want the response to include only the URL and the date it was last updated, you would set the parameter to "url|about.updated_on". This allows you to customize the data output to include only the fields relevant to your needs.

Example:

"url|about.updated_on"

Body

You can provide the input data in either JSON or CSV format. The input specifies the URLs or other parameters required by the scraper.

{key}
any

Properties vary based on the dataset requirements. Most commonly includes 'url' field. Example: [{"url":"https://www.airbnb.com/rooms/50122531"},{"url":"https://www.airbnb.com/rooms/50127677"}]

Example:

Response

Collection job successfully started

snapshot_id
string

A Snapshot ID is a unique identifier for a specific data snapshot, used to retrieve results from a data collection job triggered via the API. Read more about Snapshot ID.

Example:

"s_m4x7enmven8djfqak"